package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author gaozijie
 * @date 2023-04-24
 */
public class UserWithdrawCash extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 提现id
     */
    private Long cashId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 支付系统类型
     */
    private Integer paySysType;

    /**
     * 提现订单号
     */
    private String orderNo;

    /**
     * 第三方提现订单号(通联)
     */
    private String bizOrderNo;

    /**
     * 提现金额
     */
    private Long amount;

    /**
     * 提现银行卡号
     */
    private String bankCardNo;

    /**
     * 通联提现状态(0:待支付 1:申请成功 2:提现成功 3:提现失败)
     */
    private Integer status;

    /**
     * 提现失败原因
     */
    private String payFailMessage;

    public Long getCashId() {
        return cashId;
    }

    public void setCashId(Long cashId) {
        this.cashId = cashId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getBizOrderNo() {
        return bizOrderNo;
    }

    public void setBizOrderNo(String bizOrderNo) {
        this.bizOrderNo = bizOrderNo;
    }

    public Long getAmount() {
        return amount;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public void setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPayFailMessage() {
        return payFailMessage;
    }

    public void setPayFailMessage(String payFailMessage) {
        this.payFailMessage = payFailMessage;
    }

    @Override
    public String toString() {
        return "UserWithdrawCash{" +
                "cashId=" + cashId +
                ", userId=" + userId +
                ", paySysType=" + paySysType +
                ", orderNo='" + orderNo + '\'' +
                ", bizOrderNo='" + bizOrderNo + '\'' +
                ", amount=" + amount +
                ", bankCardNo='" + bankCardNo + '\'' +
                ", status=" + status +
                ", payFailMessage='" + payFailMessage + '\'' +
                '}';
    }
}
